Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class SaveFieldManager

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.FieldManager
            |
            +--com.solarmetric.kodo.runtime.SaveFieldManager

All Implemented Interfaces:
  PersistenceCapable.ObjectIdFieldConsumer, PersistenceCapable.ObjectIdFieldManager, PersistenceCapable.ObjectIdFieldSupplier

class SaveFieldManager
extends FieldManager

FieldManager type used to store information for rollback. The field manager should only be called to store and then fetch object values; it will copy all sco values to prevent by-reference modification.

Constructor Summary
`SaveFieldManager(Object pc, PersistenceCapable state, ClassMetaData meta, BitSet loaded, byte flags, ProxyManager proxy)` Saves a copy of the currently loaded fields and the current JDO flags along with the supplied state, so that all can be restored on rollback.

Method Summary
`Object` | `fetchObjectField(int field)`
`byte` | `getFlags()`
`BitSet` | `getLoaded()`
`PersistenceCapable` | `getState()`
`void` | `storeObjectField(int field, Object curVal)`

Methods inherited from class com.solarmetric.kodo.runtime.FieldManager
`fetchBooleanField, fetchByteField, fetchCharField, fetchDoubleField, fetchFloatField, fetchIntField, fetchLongField, fetchShortField, fetchStringField, storeBooleanField, storeByteField, storeCharField, storeDoubleField, storeFloatField, storeIntField, storeLongField, storeShortField, storeStringField`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveFieldManager

    public SaveFieldManager(Object pc,
                            PersistenceCapable state,
                            ClassMetaData meta,
                            BitSet loaded,
                            byte flags,
                            ProxyManager proxy)

  Saves a copy of the currently loaded fields and the current JDO flags along with the supplied state, so that all can be restored on rollback.

Method Detail

### getState

    public PersistenceCapable getState()

### getLoaded

    public BitSet getLoaded()

### getFlags

    public byte getFlags()

### fetchObjectField

    public Object fetchObjectField(int field)

  Overrides:
    `fetchObjectField` in class `FieldManager`

### storeObjectField

    public void storeObjectField(int field,
                                 Object curVal)

  Overrides:
    `storeObjectField` in class `FieldManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.